NPS2GPS(1)

NAME
nps2gps - convert nucleotide-protein sets to ASN.1 genomic product sets

SYNOPSIS
nps2gps [-] [-B] [-D] [-F] [-G str] [-L] [-N] [-P] [-Q] [-R] [-S] [-T] [-U] [-f str] [-i filename] [-o filename] [-p path] [-r path] [-x str]

DESCRIPTION
nps2gps converts NCBI Bioseq-sets from simple nucleotide-protein sets to full genomic product sets complete with mRNA transcripts, which it outputs as text ASN.1.

OPTIONS
A summary of options is included below.

-   Print usage message

-B  NG and NR rRNA

-D  RefSeq mRNA Titles

-F  Map by Feature ID

-G str
    General ID database name

-L  Lock components in advance

-N  Promote Non-coding RNAs

-P  mRNA ID from Protein

-Q  Special mRNA titles

-R  Enable Remote fetching from ID

-S  Special ncRNA on preRNA

-T  Map by Transcript ID

-U  Remove Unnecessary gene cross-references

-f str
    Substring filter

-i filename
    Single input file (default = stdin)

-o filename
    Single output file (default = stdout)

-p path
    Path to files for batch conversion

-r path
    Path for results of batch conversion

-x str
    File selection suffix for batch conversion (default = .ent)

AUTHOR
The National Center for Biotechnology Information.

SEE ALSO
asn2asn(1), asn2ff(1), asn2gb(1), asn2xml(1), asndhuff(1).